Page MenuHomePhabricator

When reloading diff update all other parts of the page that should be updated
Closed, ResolvedPublic2 Story Points

Description

Following T143151 I had a brief look are there any other parts of the page that should be updated when diff is reloaded, e.g. they should refer to another revision.

It seems that in the side panel at least following links are revision-dependent:

  • permanent link
  • download as PDF
  • download as plaint text

All rely on the "oldid".

So it looks the side panel should be updated as well.
But this still might not be enough. There might be more core things relying on the particular revision, and extensions might be adding their bits into the equation.

On the other hand, as we would now be updating almost whole "main" part of the page below the revision slider, the navigation bar, and the side panel, there is not that many things left, so maybe that would be enough.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 17 2016, 12:46 PM
Jakob_WMDE set the point value for this task to 2.

Change 305497 had a related patch set uploaded (by Jakob):
Reload side panel when loading a new diff.

https://gerrit.wikimedia.org/r/305497

Change 305497 merged by WMDE-leszek:
Reload side panel when loading a new diff.

https://gerrit.wikimedia.org/r/305497

Addshore moved this task from Incoming to Revision Slider on the TCB-Team board.Aug 19 2016, 10:23 AM

Change 306655 had a related patch set uploaded (by WMDE-leszek):
Reload category links when reloading the diff after revisions change

https://gerrit.wikimedia.org/r/306655

Change 306655 merged by jenkins-bot:
Reload category links when reloading the diff after revisions change

https://gerrit.wikimedia.org/r/306655

Tobi_WMDE_SW closed this task as Resolved.Aug 29 2016, 12:48 PM
Addshore moved this task from Incoming to Done on the Revision-Slider board.Sep 13 2016, 2:51 PM